Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226233 - Merge Review: patch
Summary: Merge Review: patch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:21 UTC by Nobody's working on this, feel free to take it
Modified: 2007-12-04 18:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-04 18:02:36 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:21:09 UTC
Fedora Merge Review: patch

http://cvs.fedora.redhat.com/viewcvs/devel/patch/
Initial Owner: twaugh@redhat.com

Comment 1 Parag AN(पराग) 2007-12-01 10:53:53 UTC
rpmlint output =>
patch.src: I: checking
patch.src: E: non-utf8-spec-file /tmp/patch-2.5.4-30.fc8.src.rpm.6404/patch.spec
The character encoding of the spec file is not UTF-8.  Convert it for
example using iconv(1).

patch.src: W: patch-not-applied Patch8: patch-selinux.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.

patch.src: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

Also,
  1)use macros under %files section check
=>http://fedoraproject.org/wiki/Packaging/RPMMacros

  2) use of parallel make check =>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e

 3) avoid makeinstall usage 
=>http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

  4)Good to have defattr used as %defattr(-,root,root,-)

  

Comment 2 Tim Waugh 2007-12-03 12:04:03 UTC
Spec file converted to UTF-8.
patch-selinux.patch is a work in progress and so is not yet applied -- this is
intentional.
%files section now uses %{_bindir} instead of /usr/bin
smp_mflags now used
defattr fixed

We use %makeinstall in the patch package because the tarball has no support for
DESTDIR.

New package: patch-2.5.4-31.fc9


Comment 3 Parag AN(पराग) 2007-12-03 17:04:46 UTC
do you want to use patch-selinux patch or can you comment it?
rpmlint gave me
patch.src: W: patch-not-applied Patch8: patch-selinux.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.



Comment 4 Tim Waugh 2007-12-03 18:58:27 UTC
The patch is not yet complete and so is deliberately not applied.

Comment 5 Parag AN(पराग) 2007-12-04 12:31:16 UTC
with new updated release packaging looks ok then.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.